Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 596799 - Build with -fno-strict-aliasing
Build with -fno-strict-aliasing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gvfs (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
rhel6rpmdiff
:
Depends On:
Blocks: 593740 596166 599352
  Show dependency treegraph
 
Reported: 2010-05-27 10:31 EDT by Tomáš Bžatek
Modified: 2015-03-03 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version: gvfs-1.4.3-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Bžatek 2010-05-27 10:31:00 EDT
Issue found during RPMDiff runs:

The build log on i686 has serious warnings that may cause run-time errors/crashes; suggest use of -fno-strict-aliasing:

   469  gsysutils.c: In function '_g_socket_send_fd':
   470  gsysutils.c:71: warning: dereferencing type-punned pointer will break strict-aliasing rules
   471  gsysutils.c: In function '_g_socket_receive_fd':
   472  gsysutils.c:116: warning: dereferencing type-punned pointer will break strict-aliasing rules


This is a simple change, adding a CFLAG which is present in F12/F13 anyway.
Comment 1 RHEL Product and Program Management 2010-05-27 10:37:06 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Vladimir Benes 2010-06-18 13:55:28 EDT
no warnings in rpmdiff run
details see here:
http://rhel6rpmdiff.lab.eng.brq.redhat.com/run.php?runid=8805

-> VERIFIED
Comment 3 releng-rhel@redhat.com 2010-11-10 15:38:01 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.